Name:          ddd
Version:       3.4.1
Release:       1mamba
Summary:       A graphical front-end for command-line debuggers
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/ddd/
Source:        http://ftp.gnu.org/gnu/ddd/ddd-%{version}.tar.gz
Source1:       ddd.desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXmu-devel
BuildRequires: libXp-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: libelf-devel
BuildRequires: libfontconfig-devel
BuildRequires: libgcc
BuildRequires: liblesstif-devel
BuildRequires: libncurses-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
GNU DDD is a graphical front-end for command-line debuggers such as GDB, DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, the bash debugger, or the Python debugger.
Besides ``usual'' front-end features such as viewing source texts, DDD has become famous through its interactive graphical data display, where data structures are displayed as graphs.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m 644 %{S:1} \
   %{buildroot}%{_datadir}/applications/%{name}.desktop

# remove duplicated files
rm -f %{buildroot}%{_datadir}/%{name}-%{version}/COPYING \
   %{buildroot}%{_datadir}/%{name}-%{version}/NEWS

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#% post
#% install_info %{name}.info
#% install_info %{name}-themes.info

#% preun
#% install_info %{name}.info
#% install_info %{name}-themes.info
:

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
#%{_infodir}/%{name}.info*
#%{_infodir}/%{name}-themes.info*
%{_mandir}/man1/*
%doc doc/AUTHORS doc/COPYING* doc/CREDITS

%changelog
* Thu Aug 15 2024 Automatic Build System <autodist@openmamba.org> 3.4.1-1mamba
- automatic version update by autodist

* Fri Sep 01 2023 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 3.3.12-2mamba
- automatic rebuild by autodist

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.12-1mamba
- automatic update by autodist

* Fri Jul 14 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.3.11-2qilnx
- added desktop file

* Wed Jul 12 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.3.11-1qilnx
- package created by autospec
